- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# MTextureDescription Class Reference

This reference page is linked to from the following overview topics: Framework Classes.

Search for all occurrences

## Detailed Description

Texture description.

Provides sufficient information to describe how a block of data can be interpreted as a texture.

Examples:

  hwPhongShader.cpp.

`#include <MTextureManager.h>`

List of all members.

## Public Member Functions
void | setToDefault2DTexture ()
| Utility to set texture description to describe a 0 size 2-dimensional texture.
## Public Attributes Search for all occurrences
unsigned int | fWidth
| Width in pixels. Search for all occurrences
unsigned int | fHeight
| Height in pixels.
unsigned int | fDepth
| Depth in pixels. Search for all occurrences
unsigned int | fBytesPerRow
| Number of bytes in a row of pixels. Search for all occurrences
unsigned int | fBytesPerSlice
| Number of bytes in a slice (if an array)
unsigned int | fMipmaps
| Number of mipmap levels.
unsigned int | fArraySlices
| Number of array slices. Search for all occurrences
MRasterFormat | fFormat
| Pixel / raster format. Search for all occurrences
MTextureType | fTextureType
| Type of texture. Search for all occurrences
MEnvironmentMapType | fEnvMapType
| Type of environment mapping. Search for all occurrences

## Member Data Documentation

unsigned int fDepth

Search for all occurrences

Depth in pixels.

A 2D texture has depth of 1.

Examples:
  hwPhongShader.cpp.

unsigned int fMipmaps

Search for all occurrences

Number of mipmap levels.

0 means the entire mipmap chain.

Examples:
  hwPhongShader.cpp.

unsigned int fArraySlices

Search for all occurrences

Number of array slices.

e.g. 6 would be required for a cube-map

Examples:
  hwPhongShader.cpp.

MTextureDescription MTextureDescription MTextureDescription MTextureDescription MTextureDescription MTextureDescription MTextureDescription MTextureDescription MTextureDescription MTextureDescription
MTextureDescription MTextureDescription MTextureDescription MTextureDescription MTextureDescription MTextureDescription MTextureDescription MTextureDescription MTextureDescription MTextureDescription